import { ProductSchema } from '@byondrnd/showroom-schemas';
import { Visualizer } from '../../../Visualizer';
export declare type ISceneSettings = {
    alphaMap: string;
    aoMap: string;
    aoMapIntensity: number;
    lightMap: string;
    lightMapIntensity: number;
    reflectionMap: string;
    reflectionMapIntensity: number;
    bloomMap: string;
    bloomMapIntensity: number;
    iorMap: string;
};
export declare function displayOnApplication(visualizer: Visualizer, product: ProductSchema.IProduct, application: string, sceneSettings: ISceneSettings): Promise<void>;
